Subject: History of Beekeeping

From: [email-masked] (Mr Neville Steven Percy)
Date: 21 Apr 1994 18:50:51 -0500

I was most surprised to see a beekeeping list come up in my Newsreader...
Excellent!  I am not actually a beekeeper myself -- my father is a beekeeper
and I am a pretend Anglo-Saxon, and we have this little agreement about 
mead...     (:>

As an Anglo-Saxon peasant, I am our society's authority on period beekeeping,
and am always keen to learn more...  this represents another avenue of enquiry,
and if it's a new list, I'm pleased to show my interest by contributing.
  
                                                    |  | 
                                                    |i |    
                                                    | ||O|/~
                                                    '__"``   
                                                       ~~--         
                                                   Nev Percy ; [email-masked]